• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[ROM][flo|deb][UNOFFICIAL][LineageOS 19.0] -> 2022-01-07

Search This thread

Djeypi

Senior Member
Jun 20, 2011
187
23
Caparica
Redmi Note 10 Pro
Well, well, well... So Nexus 7 lives again!
I would like to thank you very much, to all those who made This possible!

Flashed repartition, recovery and rom with nanogapps... Perfection! :D
Made it rooted with magisk 23... Works flawlessly! Loving This new life of my Nexus 7!

Thank you very much for This huge update! :D (brought from the dead)
 
  • Like
Reactions: followmsi

followmsi

Senior Member
Oct 10, 2013
4,144
12,613
LineageOS 18.1 - November 2021

lineage-18.1-20211105-UNOFFICIAL-flo.zip
lineage-18.1-20211105-UNOFFICIAL-deb.zip


Changes:

- Google Security updates -> November 2021
- Patched frameworks/base & apps/PermissionController to support microG
- Latest LineageOS changes for Android 11

Pls check first page for installation instruction and known issues !

Tested flo build with opengapps (pico) and Magisk 23.0.
Installed with latest TWRP 3.5.2.

Enjoy Android 11 :p
 

jhford

Senior Member
The 18.1-20211105-UNOFFICIAL.deb ROM is installed on my deb. I have tried to install 3 different GAPPS files, ipdev's https://www.mediafire.com/folder/qxo023zef5chm/unofficial, BITGapps package for ARM, and opengapps.org ARM 11 pico and they all fail to install and throw the same error: "This GApps is for Android 11.0.x ONLY. Please download the correct version for your ROM: 6.0.1 (SDK 23). I've flashed this ROM and many others too many times to count, and this is new to me.
Any help will be appreciated
 

ipdev

Recognized Contributor
Feb 14, 2016
1,656
1
2,273
Google Nexus 10
Nexus 7 (2013)
The 18.1-20211105-UNOFFICIAL.deb ROM is installed on my deb. I have tried to install 3 different GAPPS files, ipdev's https://www.mediafire.com/folder/qxo023zef5chm/unofficial, BITGapps package for ARM, and opengapps.org ARM 11 pico and they all fail to install and throw the same error: "This GApps is for Android 11.0.x ONLY. Please download the correct version for your ROM: 6.0.1 (SDK 23). I've flashed this ROM and many others too many times to count, and this is new to me.
Any help will be appreciated
For some reason the GApps installer script(s) is not finding the system (ROM) installed. :unsure:

The error is because the script is defaulting to (since it can not find the system) the Android version the TWRP build is based on.
TWRP is build using omni SDK23 (Android 6) as a base.

What version of TWRP are you using?
The newer official TWRP deb fail to build for some reason.
I can not build it currently. :(

One of my previous posts has links to my personal build of TWRP 3.5.2 for deb.
Post 84815923 - Link

If you are not using TWRP 3.5.2, I would highly recommend updating.​

Hope it helps. 🙃

Cheers. :cowboy:
 
  • Like
Reactions: followmsi

jhford

Senior Member
For some reason the GApps installer script(s) is not finding the system (ROM) installed. :unsure:

The error is because the script is defaulting to (since it can not find the system) the Android version the TWRP build is based on.
TWRP is build using omni SDK23 (Android 6) as a base.

What version of TWRP are you using?
The newer official TWRP deb fail to build for some reason.​
I can not build it currently. :(
One of my previous posts has links to my personal build of TWRP 3.5.2 for deb.​
Post 84815923 - Link
If you are not using TWRP 3.5.2, I would highly recommend updating.​

Hope it helps. 🙃

Cheers. :cowboy:
I figured it out. I had previously installed followmsi's TWRP version. I flashed 3.4.0-0-deb.img and GAPPS installed perfectly. The issue is followmsi's version.
 
  • Like
Reactions: followmsi

ipdev

Recognized Contributor
Feb 14, 2016
1,656
1
2,273
Google Nexus 10
Nexus 7 (2013)
I figured it out. I had previously installed followmsi's TWRP version. I flashed 3.4.0-0-deb.img and GAPPS installed perfectly. The issue is followmsi's version.
That is odd. 🤨

When I tested followmsi's TWRP builds for deb they worked for me.

I am currently running TWRP 3.5.2-9 on both my flo and deb with no issues.
¯\_(ツ)_/¯

Happy to hear you got Lineage and GApps installed. :)

Cheers. :cowboy:
 
  • Like
Reactions: followmsi

Udonitron

Senior Member
Apr 15, 2010
638
28
Victoria
Bah getting a boot loop.
Did everything exact...maybe a bad DL of the OS?
When installing it goes smoothly but I am getting an error message:
"Failed to mount "/vendor" (invalid argument).
Sounds like my wife has infected my tablet.

EDIT
OK I disabled the reinstall of TWRP and it seems to have worked however I can no longer get into TWRP recovery and the gapps I installed must have not installed properly lol.
 
Last edited:

Udonitron

Senior Member
Apr 15, 2010
638
28
Victoria
OK I have now made a total F'ery of my tablet.
I have flashed so many images over the years but this one is driving me F'in NUTS!
All I wanted was to get G apps installed and now I have no OS and all sorts of issues, cannot boot now of course.
Any ideas?
Cheers
PXL_20211120_051916375.jpg


EDIT

OK managed to get that sorted but I am still stuck at the GAPPS (pico) not able to install due to insufficient space. :(
Read up a lot and tried all the tricks but no dice, still get an error 70.
 
Last edited:

luckywang95

Member
Jul 12, 2014
28
4
OK I have now made a total F'ery of my tablet.
I have flashed so many images over the years but this one is driving me F'in NUTS!
All I wanted was to get G apps installed and now I have no OS and all sorts of issues, cannot boot now of course.
Any ideas?
CheersView attachment 5463517

EDIT

OK managed to get that sorted but I am still stuck at the GAPPS (pico) not able to install due to insufficient space. :(
Read up a lot and tried all the tricks but no dice, still get an error 70.
I have the same issue if you use the opengapps downloaded from the opengapps page, even after repartition. Using the gapps (test) in the first post and can install without any issue.
 

luckywang95

Member
Jul 12, 2014
28
4
This rom works pretty well compared to previous rom i used. Maybe it is still pretty "clean" now as I performed a clean install. The only issue i have now is with the laggy youtube 60fps. Playing 60fps offline video is fine though. I remember I have this issue with all previous roms too...
 
  • Like
Reactions: followmsi

Udonitron

Senior Member
Apr 15, 2010
638
28
Victoria
I have the same issue if you use the opengapps downloaded from the opengapps page, even after repartition. Using the gapps (test) in the first post and can install without any issue.
Ah OK, did you use pico from this folder?

 

followmsi

Senior Member
Oct 10, 2013
4,144
12,613
System repartitioning / Opengapps: Error 70 - Part 3

The build size is increasing .. and the required free space to install gapps is increasing too,

Stock flo / deb system partition size is 840MB (cache is 560MB) .. over the time we have changed this to 1280_120 .. and now we move on to 1380_20.

sysrepart_1380_20.zip

We have used the same script .. just different values.
Still based on the solution from @k23m
https://forum.xda-developers.com/showpost.php?p=76278047&postcount=19

We are just changing system and cache partitions .. data and all other partitions stay untouched.

I have tested the script on flo device only, but should work on deb device like before.

Just installed latest open_gapps-arm-11.0-pico-20211125.zip without any issues .. still 139 MB free space on system. No idea about nano packages ... needs testing.

Hope this will help for the next time .. maybe for 19.x too ;)

All the credits to @k23m !

Cheers
 
Last edited:

blaze2051

Senior Member
Jul 26, 2010
275
27
LG G7 ThinQ
LG V40
Its awesome that the nexus 7 flo as a send life once again. I havent tried Os 17.1 because ranking android Os from #1-10 android oreo ended at #2 spot followed by android 10 as being the most official stable Os builds. Personally i just upgraded from 6.0.1 to 8.1 using AOSP extended and its pretty damn smooth and battery life its not bad at all. I feel if i were to upgrade again it would only be willing to go up-to OS 10 and stop there, due to aging hardware specs.
 

theupboat

Member
Jul 21, 2011
15
0
Whats the difference between this build and the "offical" one from the Original Android Development subforum ? I'm trying to decide between the two.
 

amem

Member
Nov 9, 2010
40
3
LineageOS 18.1 - November 2021

lineage-18.1-20211105-UNOFFICIAL-flo.zip
lineage-18.1-20211105-UNOFFICIAL-deb.zip


Changes:

- Google Security updates -> November 2021
- Patched frameworks/base & apps/PermissionController to support microG
- Latest LineageOS changes for Android 11

Pls check first page for installation instruction and known issues !

Tested flo build with opengapps (pico) and Magisk 23.0.
Installed with latest TWRP 3.5.2.

Enjoy Android 11 :p
how can I upgrade to this I have lineage-18.1-20210721-UNOFFICIAL-deb installed on my nexus7?
 

b1g_up

New member
Jul 29, 2013
1
0
OK I have now made a total F'ery of my tablet.
I have flashed so many images over the years but this one is driving me F'in NUTS!
All I wanted was to get G apps installed and now I have no OS and all sorts of issues, cannot boot now of course.
Any ideas?
CheersView attachment 5463517

EDIT

OK managed to get that sorted but I am still stuck at the GAPPS (pico) not able to install due to insufficient space. :(
Read up a lot and tried all the tricks but no dice, still get an error 70.
Try install recovery from gdrive folder, make factory and system wipes then install rom.
Had the same error on old version of recovery.
 

Ty07allstar

Senior Member
Mar 28, 2010
556
16
OK I have now made a total F'ery of my tablet.
I have flashed so many images over the years but this one is driving me F'in NUTS!
All I wanted was to get G apps installed and now I have no OS and all sorts of issues, cannot boot now of course.
Any ideas?
CheersView attachment 5463517

EDIT

OK managed to get that sorted but I am still stuck at the GAPPS (pico) not able to install due to insufficient space. :(
Read up a lot and tried all the tricks but no dice, still get an error 70.
How were you able to fix the errors? I am receiving the same errors as you did.
 

Top Liked Posts